src/com/buyright/domain/Cart.java
package com.buyright.domain;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;
/**
 * 购物车
 * @author Administrator
 *
 */
public class Cart {
	private Map<String, CartItem> itemMap=new HashMap<String, CartItem>();
	private Double total=0.0;
	
	/**
	 * 获取所有的购物项
	 * @return
	 */
	public  Collection<CartItem> getCartItems(){
		return itemMap.values();
	}
	public Map<String, CartItem> getItemMap() {
		return itemMap;
	}
	public void setItemMap(Map<String, CartItem> itemMap) {
		this.itemMap = itemMap;
	}
	public Double getTotal() {
		return total;
	}
	public void setTotal(Double total) {
		this.total = total;
	}
	
	/**
	 * 加入到购物车
	 * @param item
	 */
	public void add2cart(CartItem item){
		//获取商品的id
		String pid = item.getProduct().getPid();
		
		//判断购物车中是否有
		if(itemMap.containsKey(pid)){
			//有 修改数量  = 原来数量+新加的数量
			//原有的购物项
			CartItem oItem = itemMap.get(pid);
			
			oItem.setCount(oItem.getCount()+item.getCount());
		}else{
			//无
			itemMap.put(pid, item);
		}
		
		//修改总金额
		total += item.getSubtotal();
	}
	
	/**
	 * 从购物车移除一个购物项
	 * @param pid
	 */
	public void removeFromCart(String pid){
		//1.从购物车(map)移除 购物项
		CartItem item = itemMap.remove(pid);
		
		//2.修改总金额
		total -= item.getSubtotal();
	}
	
	/**
	 * 清空购物车
	 */
	public void clearCart(){
		//1.清空map
		itemMap.clear();
		
		//2.修改总金额 = 0
		total=0.0;
	}
}

src/com/buyright/web/servlet/CartServlet.java
package com.buyright.web.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.buyright.domain.Cart;
import com.buyright.domain.CartItem;
import com.buyright.domain.Product;
import com.buyright.service.ProductService;
import com.buyright.utils.BeanFactory;
import com.buyright.web.servlet.base.BaseServlet;

/**
 * 购物车模块
 */
public class CartServlet extends BaseServlet {
	private static final long serialVersionUID = 1L;

	public String clear(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//1.获取购物车 执行清空操作
		getCart(request).clearCart();
		
		//2.重定向
		response.sendRedirect(request.getContextPath()+"/jsp/cart.jsp");
		
		return null;
	}
	
	/**
	 * 从购物车移除商品
	 * @param request
	 * @param response
	 * @return
	 * @throws ServletException
	 * @throws IOException
	 */
	public String remove(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//1.获取商品的pid
		String pid = request.getParameter("pid");
		
		//2.获取购物车 执行移除
		getCart(request).removeFromCart(pid);
		
		//3.重定向
		response.sendRedirect(request.getContextPath()+"/jsp/cart.jsp");
		return null;
	}
	
	/**
	 * 加入购物车
	 * @param request
	 * @param response
	 * @return
	 * @throws ServletException
	 * @throws IOException
	 */
	public String add2cart(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		try {
			//1.获取pid count
			String pid = request.getParameter("pid");
			int count = Integer.parseInt(request.getParameter("count"));
			
			//2.封装cartitem
			//调用service获取product
			ProductService ps = (ProductService) BeanFactory.getBean("ProductService");
			Product product = ps.getById(pid);
			
			//创建cartitem
			CartItem cartItem = new CartItem(product, count);
			
			//3.将cartitem加入购物车
			//获取购物车
			Cart cart=getCart(request);
			
			cart.add2cart(cartItem);
			
			//4.重定向
			response.sendRedirect(request.getContextPath()+"/jsp/cart.jsp");
		} catch (Exception e) {
			e.printStackTrace();
			request.setAttribute("msg", "加入购物车失败");
			return "/jsp/msg.jsp";
		}
		
		return null;
	}

	/**
	 * 获取购物车
	 * @param request
	 * @return
	 */
	private Cart getCart(HttpServletRequest request) {
		Cart cart = (Cart) request.getSession().getAttribute("cart");
		if(cart == null){
			cart = new Cart();
			
			//将cart放入session中
			request.getSession().setAttribute("cart", cart);
		}
		return cart;
	}
}

WebContent/jsp/cart.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@include file="/jsp/layout/head.jsp" %>

<div class="container">
    <div class="row">
        <c:if test="${empty cart || empty cart.cartItems }">
            <h3 class="text-center">购物车里什么都没有！</h3>
        </c:if>
        <c:if test="${not empty cart.cartItems}">
        <div style="margin:0 auto; margin-top:10px;width:950px;">
            <div class="page-header">
                <h2>我的购物车</h2>
            </div>
            <table class="table table-bordered">
                <tbody>
                <tr class="warning">
                    <th>图片</th>
                    <th>商品</th>
                    <th>价格</th>
                    <th>数量</th>
                    <th>小计</th>
                    <th>操作</th>
                </tr>
                <c:forEach items="${cart.cartItems }" var="ci">
                    <tr class="active">
                        <td width="60" width="40%">
                            <input type="hidden" name="id" value="22">
                            <img src="${pageContext.request.contextPath}/${ci.product.pimage}" width="70" height="60">
                        </td>
                        <td width="30%">
                            <a target="_blank" href="${pageContext.request.contextPath }/product?method=getById&pid=${ci.product.pid}">${ci.product.pname}</a>
                        </td>
                        <td width="20%">
                            ￥${ci.product.shop_price}
                        </td>
                        <td width="10%">
                            ${ci.count }
                        </td>
                        <td width="15%">
                            <span class="subtotal">￥${ci.subtotal }</span>
                        </td>
                        <td>
                            <a href="javascript:void(0);" onclick="removeFromCart('${ci.product.pid}')" class="delete"><i class="glyphicon glyphicon-trash"></i>删除</a>
                        </td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>
        </div>
    </div>

    <div style="margin-right:130px;">
        <div style="text-align:right;">
            商品金额: <strong style="color:#ff6600;">￥${cart.total }元</strong>
        </div>
        <div style="text-align:right;margin-top:10px;margin-bottom:10px;">
            <a href="${pageContext.request.contextPath }/cart?method=clear" id="clear" class="btn btn-danger">清空购物车</a>
            <a href="${pageContext.request.contextPath }/order?method=save" class="btn btn-success">提交订单</a>
        </div>
    </div>
    </c:if>
</div>

<script type="text/javascript">
    function removeFromCart(pid) {
        if (confirm("确定要删除该商品吗?")) {
            location.href = "${pageContext.request.contextPath}/cart?method=remove&pid=" + pid;
        }
    }
</script>
<%@include file="/jsp/layout/foot.jsp" %>

WebContent/jsp/index.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<%@include file="/jsp/layout/head.jsp" %>

<div class="jumbotron">
    <h1>BuyRight
        <small>买/卖你所想</small>
    </h1>
    <p>这可能是北半球第二好的二手商品交易网站</p>
    <p><a class="btn btn-primary btn-lg" href="#new" role="button">开始购物！</a></p>
</div>

<div class="container-fluid">
    <div class="col-md-12" id="new">
        <h2>最新商品</h2>
    </div>

    <div class="col-md-12">
        <div class="col-md-6" style="text-align:center;height:200px;padding:0px;">
            <img src="${pageContext.request.contextPath}/resource/images/qiangou.jpg" width="516px" height="200px"
                 style="display: inline-block;">
        </div>

        <c:forEach items="${nList }" var="p">
            <div class="col-md-2" style="text-align:center;height:200px;padding:10px 0px;">
                <a href="${pageContext.request.contextPath }/product?method=getById&pid=${p.pid}">
                    <img src="${pageContext.request.contextPath}/${p.pimage}" width="130" height="130"
                         style="display: inline-block;">
                </a>
                <p><a href="${pageContext.request.contextPath }/product?method=getById&pid=${p.pid}"
                      style='color:#666'>${fn:substring(p.pname,0,10) }..</a></p>
                <p class="text-primary">&yen;${p.shop_price }</p>
            </div>
        </c:forEach></div>
</div>


<%@include file="/jsp/layout/foot.jsp" %>

WebContent/jsp/login.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@include file="/jsp/layout/head.jsp" %>
<div class="row">
    <div class="col-xs-12 col-md-4 col-md-offset-4">
        <div class="page-header">
            <h2>登录</h2>
        </div>
        <c:if test="${msg!=null}">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                        aria-hidden="true">&times;</span></button>
                    ${msg}
            </div>
        </c:if>
        <form class="form-horizontal" action="${pageContext.request.contextPath }/user" method="post">
            <input type="hidden" name="method" value="login">

            <div class="form-group">
                <label>用户名</label>

                <input type="text" class="form-control" id="username" placeholder="请输入用户名" name="username" required>

            </div>
            <div class="form-group">
                <label>密码</label>

                <input type="password" class="form-control" id="inputPassword3" placeholder="请输入密码"
                       name="password" required>

            </div>

            <div class="form-group">
                <div>
                    <div class="checkbox">
                        <label></label>
                        <input type="checkbox" name="savename" value="ok"> 记住我
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div>
                    <button type="submit" class="btn btn-primary">登录</button>
                </div>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript">
    var val = "${cookie.saveName.value}";
    document.getElementById("username").value = decodeURI(val);
</script>

<%@include file="/jsp/layout/foot.jsp" %>

WebContent/jsp/msg.jsp
<%@ page language="java" pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@include file="/jsp/layout/head.jsp" %>

<h3 class="text-center">${msg}</h3>

<%@include file="/jsp/layout/foot.jsp" %>

WebContent/jsp/order_info.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@include file="/jsp/layout/head.jsp" %>


<div class="container">
    <div class="row">

        <div style="margin:0 auto;margin-top:10px;width:950px;">
            <strong>订单详情</strong>
            <table class="table table-bordered">
                <tbody>
                <tr class="warning">
                    <th colspan="2">订单编号:${bean.oid } </th>
                    <th colspan="1">
                        <c:if test="${bean.state == 0 }">去付款</c:if>
                        <c:if test="${bean.state == 1 }">已付款</c:if>
                        <c:if test="${bean.state == 2 }">确认收货</c:if>
                        <c:if test="${bean.state == 3 }">已完成</c:if>
                    </th>
                    <th colspan="2">时间:<fmt:formatDate value="${bean.ordertime }" pattern="yyyy-MM-dd HH:mm:ss"/>
                    </th>
                </tr>
                <tr class="warning">
                    <th>图片</th>
                    <th>商品</th>
                    <th>价格</th>
                    <th>数量</th>
                    <th>小计</th>
                </tr>
                <c:forEach items="${bean.items }" var="oi">
                    <tr class="active">
                        <td width="60" width="40%">
                            <input type="hidden" name="id" value="22">
                            <img src="${pageContext.request.contextPath}/${oi.product.pimage}" width="70" height="60">
                        </td>
                        <td width="30%">
                            <a target="_blank">${oi.product.pname}</a>
                        </td>
                        <td width="20%">
                            ￥${oi.product.shop_price}
                        </td>
                        <td width="10%">
                                ${oi.count}
                        </td>
                        <td width="15%">
                            <span class="subtotal">￥${oi.subtotal}</span>
                        </td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>
        </div>

        <div style="text-align:right;margin-right:120px;">
            商品金额: <strong style="color:#ff6600;">￥${bean.total }元</strong>
        </div>

    </div>

    <div>
        <hr/>
        <form action="${pageContext.request.contextPath }/order" id="orderForm" method="post" class="form-horizontal"
              style="margin-top:5px;margin-left:150px;">
            <!-- 提交的方法 -->
            <input type="hidden" name="method" value="pay">
            <!-- 订单号 -->
            <input type="hidden" name="oid" value="${bean.oid }">
            <div class="form-group">
                <label for="username" class="col-sm-1 control-label">地址</label>
                <div class="col-sm-5">
                    <input type="text" name="address" class="form-control" id="username" placeholder="请输入收货地址">
                </div>
            </div>
            <div class="form-group">
                <label for="inputPassword3" class="col-sm-1 control-label">收货人</label>
                <div class="col-sm-5">
                    <input type="text" name="name" class="form-control" id="inputPassword3" placeholder="请输收货人">
                </div>
            </div>
            <div class="form-group">
                <label for="confirmpwd" class="col-sm-1 control-label">电话</label>
                <div class="col-sm-5">
                    <input type="text" name="telephone" class="form-control" id="confirmpwd" placeholder="请输入联系方式">
                </div>
            </div>

            <button type="button" class="btn btn-primary" onclick="pay()">在线支付
            </button>
            <script>
                function pay() {
                    alert("在线支付功能制作中，敬请期待！");
                }
            </script>
    </div>
</div>
</form>
</div>

<%@include file="/jsp/layout/foot.jsp" %>

WebContent/jsp/order_list.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@include file="/jsp/layout/head.jsp" %>
<div class="container">
    <div class="row">

        <div class="col-xs-12 col-md-10 col-md-offset-1">
            <div class="page-header">
                <h2>订单记录</h2>
            </div>
            <c:forEach items="${pb.data }" var="o">
                <table class="table table-bordered">

                    <tbody>
                    <tr class="success">
                        <th colspan="2">订单编号:${o.oid } </th>
                        <th colspan="1">
                            <c:if test="${o.state == 0 }"><a
                                    href="${pageContext.request.contextPath }/order?method=getById&oid=${o.oid}">去付款</a></c:if>
                            <c:if test="${o.state == 1 }">已付款</c:if>
                            <c:if test="${o.state == 2 }">确认收货</c:if>
                            <c:if test="${o.state == 3 }">已完成</c:if>
                        </th>
                        <th colspan="2">金额:${o.total }元</th>
                    </tr>
                    <tr class="warning">
                        <th>图片</th>
                        <th>商品</th>
                        <th>价格</th>
                        <th>数量</th>
                        <th>小计</th>
                    </tr>
                    <c:forEach items="${o.items }" var="oi">
                        <tr class="active">
                            <td width="60" width="40%">
                                <input type="hidden" name="id" value="22">
                                <img src="${pageContext.request.contextPath}/${oi.product.pimage}" width="70"
                                     height="60">
                            </td>
                            <td width="30%">
                                <a href="${pageContext.request.contextPath }/product?method=getById&pid=${oi.product.pid}" target="_blank">${oi.product.pname}</a>
                            </td>
                            <td width="20%">
                                ￥${oi.product.shop_price}
                            </td>
                            <td width="10%">
                                    ${oi.count }
                            </td>
                            <td width="15%">
                                <span class="subtotal">￥${oi.subtotal}</span>
                            </td>
                        </tr>
                    </c:forEach>
                    </tbody>
                </table>

            </c:forEach>

        </div>
    </div>
    <%@include file="/jsp/page.jsp" %>
</div>

<%@include file="/jsp/layout/foot.jsp" %>

WebContent/jsp/page.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<!--分页 -->

<c:if test="${pb.totalPage > 1}">
    <div class="col-xs-12 col-md-10 col-md-offset-1">
        <ul class="pagination">

            <!-- 判断是否是第一页 -->
            <c:if test="${pb.pageNumber == 1 }">
                <li class="disabled">
                    <a href="javascript:void(0)" aria-label="Previous">
                        <span aria-hidden="true">&laquo;</span>
                    </a>
                </li>
            </c:if>

            <!-- 不是第一页 -->
            <c:if test="${pb.pageNumber != 1 }">
                <li>
                    <a href="${pageContext.request.contextPath }/order?method=findMyOrdersByPage&pageNumber=${pb.pageNumber-1}&cid=${param.cid}"
                       aria-label="Previous">
                        <span aria-hidden="true">&laquo;</span>
                    </a>
                </li>
            </c:if>

            <!-- 展示所有页码 -->
            <c:forEach begin="1" end="${pb.totalPage }" var="n">
                <!-- 判断是否是当前页 -->
                <c:if test="${pb.pageNumber == n }">
                    <li class="active"><a href="javascript:void(0)">${n }</a></li>
                </c:if>
                <c:if test="${pb.pageNumber != n }">
                    <li>
                        <a href="${pageContext.request.contextPath }/order?method=findMyOrdersByPage&cid=${param.cid}&pageNumber=${n}">${n }</a>
                    </li>
                </c:if>
            </c:forEach>

            <!-- 判断是否是最后一页 -->
            <c:if test="${pb.pageNumber == pb.totalPage }">
                <li class="disabled">
                    <a href="javascript:void(0)" aria-label="Next">
                        <span aria-hidden="true">&raquo;</span>
                    </a>
                </li>
            </c:if>
            <c:if test="${pb.pageNumber != pb.totalPage }">
                <li>
                    <a href="${pageContext.request.contextPath }/order?method=findMyOrdersByPage&cid=${param.cid}&pageNumber=${pb.pageNumber+1}"
                       aria-label="Next">
                        <span aria-hidden="true">&raquo;</span>
                    </a>
                </li>
            </c:if>

        </ul>
    </div>
</c:if>
<!-- 分页结束 -->

WebContent/jsp/product_info.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@include file="/jsp/layout/head.jsp" %>

<div class="panel panel-default col-xs-12 col-md-10 col-md-offset-1 row">

    <div class="panel-body">

        <div class="col-md-6">
            <img style="opacity: 1;width:400px;height:350px;" class="img-rounded"
                 src="${pageContext.request.contextPath}/${bean.pimage}">
        </div>
        <div class="col-md-4">
            <div><strong>${bean.pname }</strong></div>
            <div style="border-bottom: 1px dotted #dddddd;width:350px;margin:10px 0 10px 0;">
                <div>发布者：<a href="${pageContext.request.contextPath}/publish_list?uid=${prouser.uid}">${prouser.name }</a></div>
            </div>

            <div style="margin:10px 0 10px 0;">二手价: <strong style="color:#ef0101;">￥：${bean.shop_price }</strong>
                全新价：
                <del>￥${bean.market_price }</del>
            </div>

            <div style="padding:10px;width:330px;margin:15px 0 10px 0;">
                <form action="${pageContext.request.contextPath }/cart" id="form1" method="get">
                    <input type="hidden" name="method" value="add2cart">
                    <input type="hidden" name="pid" value="${bean.pid }">
                    <div style="margin-top:20px;padding-left: 10px;">购买数量:
                        <input id="quantity" name="count" value="1" maxlength="4" size="10" type="number" class="form-control" required></div>
                </form>
                <br>
                <buttom class="btn btn-success" onclick="subForm()">加入购物车</buttom>
            </div>
        </div>
    </div>
</div>

<div class="panel panel-default col-xs-12 col-md-10 col-md-offset-1 row">

    <div class="panel-body">
        ${bean.pdesc }
    </div>
</div>


<script type="text/javascript">
    function subForm() {
        //让指定的表单提交
        document.getElementById("form1").submit();
    }
</script>

<%@include file="/jsp/layout/foot.jsp" %>

WebContent/jsp/product_list.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<%@include file="/jsp/layout/head.jsp" %>


<div class="row" style="width:1210px;margin:0 auto;">
    <c:choose>
        <c:when test="${pb.totalRecord == 0}">
            <h2 class="text-center">该分类下没有商品，您可以先看下其他分类！</h2>
        </c:when>
        <c:otherwise>
            <c:forEach items="${pb.data }" var="p">
                <div class="col-md-2">
                    <a href="${pageContext.request.contextPath }/product?method=getById&pid=${p.pid}">
                        <img src="${pageContext.request.contextPath}/${p.pimage}" width="170" height="170"
                             style="display: inline-block;">
                    </a>
                    <p class="text-success">
                        <a href="${pageContext.request.contextPath }/product?method=getById&pid=${p.pid}">${fn:substring(p.pname,0,10) }..</a>
                    </p>
                    <p class="text-primary">二手价：&yen;${p.shop_price }</p>
                </div>
            </c:forEach>
        </c:otherwise>
    </c:choose>
</div>

<!--分页 -->
<c:if test="${pb.totalPage > 1 }">
    <ul class="pagination">
        <!-- 判断是否是第一页 -->
        <c:if test="${pb.pageNumber == 1 }">
            <li class="disabled">
                <a href="javascript:void(0)" aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                </a>
            </li>
        </c:if>
        <!-- 不是第一页 -->
        <c:if test="${pb.pageNumber != 1 }">
            <li>
                <a href="${pageContext.request.contextPath }/product?method=findByPage&pageNumber=${pb.pageNumber-1}&cid=${param.cid}"
                   aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                </a>
            </li>
        </c:if>

        <!-- 展示所有页码 -->
        <c:forEach begin="1" end="${ pb.totalPage }" var="n">
            <!-- 判断是否是当前页 -->
            <c:if test="${pb.pageNumber == n }">
                <li class="active"><a href="javascript:void(0)">${n }</a></li>
            </c:if>
            <c:if test="${pb.pageNumber != n }">
                <li>
                    <a href="${pageContext.request.contextPath }/product?method=findByPage&cid=${param.cid}&pageNumber=${n}">${n }</a>
                </li>
            </c:if>
        </c:forEach>
        <!-- 判断是否是最后一页 -->
        <c:if test="${pb.pageNumber == pb.totalPage }">
            <li class="disabled">
                <a href="javascript:void(0)" aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                </a>
            </li>
        </c:if>
        <c:if test="${pb.pageNumber != pb.totalPage }">
            <li>
                <a href="${pageContext.request.contextPath }/product?method=findByPage&cid=${param.cid}&pageNumber=${pb.pageNumber+1}"
                   aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                </a>
            </li>
        </c:if>
    </ul>
</c:if>
<!-- 分页结束 -->


<%@include file="/jsp/layout/foot.jsp" %>

WebContent/jsp/publish.jsp
<%@ page language="java" pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@include file="/jsp/layout/head.jsp" %>
<div class="row">
    <div class="col-xs-12 col-md-8 col-md-offset-2">
        <div class="page-header">
            <h2>发布商品</h2>
        </div>

        <form id="userAction_save_do" name="Form1" action="${pageContext.request.contextPath}/addProduct" method="post"
              enctype="multipart/form-data">

            <div class="form-group">
                <label>商品名称</label>
                <input type="text" class="form-control" name="pname" id="userAction_save_do_logonName" required/>
            </div>
            <%--<div class="form-group">--%>
                <%--<label>是否热门</label>--%>
                <%--<select name="is_hot" class="form-control">--%>
                    <%--<option value="1">是</option>--%>
                    <%--<option value="0">否</option>--%>
                <%--</select>--%>
            <%--</div>--%>
            <div class="form-group">
                <label>新品购入价格￥</label>
                <input type="number" name="market_price" id="userAction_save_do_logonName" class="form-control" required/>
            </div>
            <div class="form-group">
                <label>价格￥</label>
                <input type="number" name="shop_price" id="userAction_save_do_logonName" class="form-control" required/>
            </div>
            <div class="form-group">
                <label>图片</label>
                <input type="file" name="pimage" class=""/>
            </div>
            <div class="form-group">
                <label>分类</label>
                <select name="cid" id="categoryList" class="form-control"></select>
            </div>
            <div class="form-group">
                <label>商品描述</label>
                <textarea name="pdesc" rows="5" cols="30" class="form-control" required></textarea>
            </div>

            <button type="submit" class="btn btn-primary">发布</button>
            <button type="reset" class="btn btn-warning">重置</button>

        </form>
    </div>
</div>
<script type="text/javascript">
    function subForm() {
        //让指定的表单提交
        document.getElementById("form1").submit();
    }

    $(function () {
        //发送ajax 查询所有分类
        $.post("${pageContext.request.contextPath}/category", {"method": "findAll"}, function (obj) {
            //alert(obj);
            //遍历json列表,获取每一个分类,包装成li标签,插入到ul内部
            //$.each($(obj),function(){});
            $(obj).each(function () {
                $("#categoryList").append("<OPTION value=" + this.cid + ">" + this.cname + "</OPTION>");
            });
        }, "json");
    })
</script>
<%@include file="/jsp/layout/foot.jsp" %>